GreatWksDBParserInternal::State Struct Reference

Internal: the state of a GreatWksDBParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

Database | m_database
| the database
std::map< int, MWAWEntry > | m_idZonesMap
| a map id to zone used to stored the small zones
std::vector< BlockHeader > | m_blocks
| the list of big blocks
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
MWAWEntry | m_headerBlockHeader
| the header entry (in v2)
MWAWEntry | m_footerBlockHeader
| the footer entry (in v2)
bool | m_headerPrint
| the header is printed
bool | m_footerPrint
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a GreatWksDBParser.

## Constructor & Destructor Documentation

## State()

GreatWksDBParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int GreatWksDBParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_blocks

std::vector<BlockHeader> GreatWksDBParserInternal::State::m_blocks

the list of big blocks

Referenced by State().

## m_database

Database GreatWksDBParserInternal::State::m_database

the database

Referenced by State().

## m_footerBlockHeader

MWAWEntry GreatWksDBParserInternal::State::m_footerBlockHeader

the footer entry (in v2)

Referenced by State().

## m_footerHeight

int GreatWksDBParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_footerPrint

bool GreatWksDBParserInternal::State::m_footerPrint

Referenced by State().

## m_headerBlockHeader

MWAWEntry GreatWksDBParserInternal::State::m_headerBlockHeader

the header entry (in v2)

Referenced by State().

## m_headerHeight

int GreatWksDBParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_headerPrint

bool GreatWksDBParserInternal::State::m_headerPrint

the header is printed

Referenced by State().

## m_idZonesMap

std::map<int, MWAWEntry> GreatWksDBParserInternal::State::m_idZonesMap

a map id to zone used to stored the small zones

Referenced by State().

## m_numPages

int GreatWksDBParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx